Dynamic Script - execute code in an existing browser session.
browser_rendering.script.execute(strsession_id, ScriptExecuteParams**kwargs) -> ScriptExecuteResponse
POST/accounts/{account_id}/browser-rendering/script/{session_id}
Runs the provided code in an existing browser session. The session stays open; close it with DELETE /devtools/browser/:sessionId or browser.close(), otherwise it ends at the idle timeout.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Parameters
Dynamic Script - execute code in an existing browser session.
import os
from cloudflare import Cloudflare
client = Cloudflare(
api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted
)
response = client.browser_rendering.script.execute(
session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
account_id="account_id",
code="code",
)
print(response){
"result": "string",
"success": true
}Returns Examples
{
"result": "string",
"success": true
}